function num2hex(num) -- http://snipplr.com/view/13086/number-to-hex/
	if num ~= nil then
		local hexstr = '0123456789ABCDEF'
		local s = ''
		while num > 0 do
			local mod = math.fmod(num, 16)
			s = string.sub(hexstr, mod+1, mod+1) .. s
			num = math.floor(num / 16)
		end
		if s == '' then s = '0' end
		return s
	else
		return ""
	end
end

function OpenCaptionAddress(sender)
	local addr = tonumber(control_getCaption(sender), 16)
	if addr > 0 then
		local memview = getMemoryViewForm()
		local hexview = memoryview_getHexadecimalView(memview)
		hexadecimalview_setTopAddress(hexview, addr)
		form_show(memview)
	end
end